@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap');

body {
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

/* ---------------------- Common CSS Section Start ---------------------- */
:root {
/* -------- Light mode of Topbar -------- */
    --bodyColor: #ffffff;
    --fillColor: #eceffc;
    --fillText: #0f172b;
    --themeColor: #5c61f2;
/* -------- Light mode of Topbar -------- */

/* -------- Dark mode of sidebar -------- */
    --sidebarBodyColor: #0c0c11;
    --sidebarHeadColor: #f1f3fb;
    --sidebarHoverBgColor: linear-gradient(90deg, rgba(241,243,251,0.21052170868347342) 96%, rgba(92,97,242,1) 96%);
    --sidebarHoverColor: #c9cfdd;
    --sidebarLinkColor: #8f9dbd;
    --sidebarHeading: #c9cfdd;
    --sidebarBeforeFillColor: #5c61f24d;
/* -------- Dark mode of sidebar -------- */

/* -------- Light mode of Body -------- */
    --tabBarColor: #d9dffa;
    --themeIconColor: #8f9dbd;
/* -------- Light mode of Body -------- */

    --themeBgColor: #171825;
    --lightBgColor: #f1f3fb;
    --themeViolet: #5c61f2;
    --themeGreen: #2ed47e;
    --themeYellow: #ffba5c;
    --themeRed: #ed4c5c;
    --themeGray: #f4f6fa;    
    --themeTextColor: #8f9dbd;
}

.dark-header {
    --bodyColor: #0c0c11;
    --fillColor: #212123;
    --fillText: #abacad;
    --themeColor: #8f9dbd;    
}

.light-sidebar {
    --sidebarBodyColor: #f1f3fb;
    --sidebarHeadColor: #171825;
    --sidebarHoverBgColor: linear-gradient(90deg, rgba(12,12,17,1) 96%, rgba(92,97,242,1) 96%);
    --sidebarLinkColor: #0f172b;
    --sidebarHeading:  #0c0c11;
    --sidebarBeforeFillColor: #0c0c1162;
}

/* -------- Dark mode of Body -------- */
.dark-theme {
    --tabBarColor: #212123;
    --bodyColor: #0c0c11;
    --fillColor: #212123;
    --fillText: #abacad;
    --themeColor: #8f9dbd;
    --themeIconColor: #5c61f2;  
}
/* -------- Dark mode of Body -------- */


.red {
    background-color: #ff0000;
}

.violet {
    background-color: #5c61f2;
}

/* width */
::-webkit-scrollbar {
    width: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    background: var(--lightBgColor);
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--themeViolet);
    border-radius: 10px;
}

h1 {
    font-size: 45px;
}

h2 {
    font-size: 36px;
}

h3 {
    font-size: 27px;
}

h4 {
    font-size: 18px;
}

h5 {
    font-size: 12px;
}

.tab-content {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.body-scroll-stop {
    overflow-y: hidden;
}
/* ---------------------- Common CSS Section End ---------------------- */

/* ---------------------- Loading CSS Section Start ---------------------- */
.loading {
    width: 100%;
    height: 100%;
    background: transparent;
    position: fixed;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

@keyframes loading-item {
    0% {
        transform: rotate(0deg)
    }

    50% {
        transform: rotate(180deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

.loading-item div {
    position: absolute;
    animation: loading-item 1s linear infinite;
    width: 128px;
    height: 128px;
    top: 36px;
    left: 36px;
    border-radius: 50%;
    box-shadow: 0 6.4px 0 0 var(--themeViolet);
    transform-origin: 64px 67.2px;
}

.loading-inner {
    width: 200px;
    height: 200px;
    display: inline-block;
    overflow: hidden;
}

.loading-item {
    width: 100%;
    height: 100%;
    position: relative;
    transform: translateZ(0) scale(1);
    backface-visibility: hidden;
    transform-origin: 0 0;
    /* see note above */
}

.loading-item div {
    box-sizing: content-box;
}

/* ---------------------- Loading CSS Section End ---------------------- */

/* ---------------------- Top CSS Section Start ---------------------- */
#top {
    width: 100%;
    height: 70px;
    background-color: var(--bodyColor);
    box-shadow: 0 4px 20px 0 rgba(92, 97, 242, .09);
    padding: 0 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
}

#top .top-left {
    width: 300px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#top .top-left .brand {
    width: 130px;
    height: auto;
    padding: 10px 0;
}

#top .top-left .brand img {
    width: 100%;
    height: 100%;
    margin-right: 10px;
}

#top .top-left .hamburger {
    width: 35px;
    height: 35px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 8px;
}

#top .hamburger .line {
    width: 28px;
    height: 2px;
    border-radius: 50px;
    background-color: var(--themeColor);
    display: block;
    transition: all 0.3s ease-in-out;
}

#top .hamburger:hover {
    cursor: pointer;
}

#top #hamburger-1 .line:nth-child(2) {
    width: 20px;
}

#top #hamburger-1.is-active .line:nth-child(2) {
    opacity: 0;
}

#top #hamburger-1.is-active .line:nth-child(1) {
    transform: translateY(10px) rotate(45deg);
}

#top #hamburger-1.is-active .line:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
}

#top .top-right {
    width: calc(100% - 300px);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#top .top-right .top-right-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

#top .top-right .form-area {
    width: 450px;
    height: 50px;
    background-color: var(--fillColor);
    border-radius: 5px;
    padding: 0 10px;
    margin: 0;
    display: flex;
    justify-content: start;
    align-items: center;
}

#top .top-right .form-area form {
    padding: 0;
    margin: 0;
}

#top .top-right .form-area .search-btn {
    all: unset;
    width: 50px;
    height: 50px;
    font-size: 19px;
    box-sizing: border-box;
    padding: 15px 10px;
    color: var(--themeTextColor);
}

#top .top-right .form-area input {
    width: 375px;
    height: 50px;
    border: none;
    outline: none;
    background: transparent;
    font-size: 16px;
    color: var(--fillText);
}

#top .top-right .top-right-inner .button-group {
    width: 90px;
    height: 50px;
    display: flex;
    justify-content: right;
    align-items: center;
    gap: 10px;
}

#top .top-right .top-right-inner .button-group button {
    all: unset;
    position: relative;   
}

#top .top-right .top-right-inner .button-group button ion-icon {
    font-size: 24px;
    color: var(--themeColor);
}

#top .top-right .top-right-inner .button-group .search-btn {
    display: none;
}

#top .top-right .top-right-inner .button-group button .notification {
    width: 15px;
    height: 15px;
    color: var(--fillColor);
    font-size: 10px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: -6px;
    right: -2px;
}

#top .top-right .user-detail {
    width: auto;
    display: flex;
    justify-content: left;
    align-items: center;
    gap: 10px;
    position: relative;
}

#top .top-right .user-img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

#top .top-right .user-detail .user-img img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
    object-fit: cover;
}

#top .top-right .user-detail .user-info .name {
    font-size: 16px;
    font-weight: 500;
    color: var(--themeColor);
}

#top .top-right .user-detail .user-info .user-type {
    font-size: 12px;
    color: var(--fillText);
}

#top .top-right .user-btn {
    all: unset;
    font-size: 24px;
    color: var(--fillText);
}

#top .top-right .hamburger-btn {
    display: none;
}

#top .top-right .hamburger-btn .hamburger {
    width: 35px;
    height: 35px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 8px;
}

#top .top-right .user-detail .user-option{
    width: 160px;
    height: 120px;
    background-color: var(--bodyColor);
    border-radius: 10px;
    position: absolute;
    right: 0px;
    top: 0px;
    transform: translateY(60px); 
    display: none;
    z-index: 999;
}

#top .top-right .user-detail .user-option ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

#top .top-right .user-detail .user-option ul li {
    width: 100%;
    height: 40px;
    padding:10px;
    border-radius: 10px;
    transition: all 0.2s;
}

#top .top-right .user-detail .user-option ul li:hover {
    background-color: var(--fillColor);
    color: var(--themeGray);
    transition: all 0.2s;
}

#top .top-right .user-detail .user-option ul li:hover a {
    font-weight: 500;
    transition: all 0.2s;
}

#top .top-right .user-detail .user-option ul li a{
    text-decoration: none;
    text-transform: uppercase;
    font-size: 14px;
    color: var(--fillText);
}

#top .top-right .user-detail .user-option ul li i {
    padding-right: 10px;
}
/* ---------------------- Top CSS Section End ---------------------- */

/* ---------------------- Notify CSS Section Start ---------------------- */
#notify {
    width: 50px;
    height: 50px;
    background-color: var(--lightBgColor);
    /* background-color: var(--themeViolet); */
    /* border: 1px solid var(--themeViolet); */
    box-shadow: 0 0px 10px 0 rgba(92, 97, 242, 0.40);
    border-radius: 50px;
    padding-left: 10px;
    display: none;
    position: fixed;
    right: 20px;
    bottom: 50px;
    overflow: hidden;
    transition: width 0.25s ease-in;
}

#notify.active {
    width: 180px;
    transition: width 0.25s ease-out;
}

/* #notify .btn-group {
    width: 100%;
    height: 100%;
} */

#notify .btn-group button {
    all: unset;
    border: none;
    outline: none;
    width: 40px;
    height: 50px;
    font-size: 20px;
    color: var();
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

#notify .btn-group button .notification {
    width: 16px;
    height: 16px;
    font-size: 12px;
    color: var(--lightBgColor);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 5px;
    right: 5px;
}

#notify .notify-btn {
    all: unset;
    border: none;
    outline: none;
    width: 50px;
    height: 50px;
    background-color: var(--themeViolet);
    border: 1px solid var(--themeViolet);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 24px;
    position: absolute;
    top: 0;
    right: -1px;
}


/* ---------------------- Notify CSS Section End ---------------------- */

/* ---------------------- Dashboard CSS Section Start ---------------------- */
#dashboard {
    width: 70px;
    height: 100%;
    background: var(--sidebarBodyColor);
    padding: 90px 0 20px 0;
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 990;
    overflow: hidden;
    overflow-y: scroll;
    transition: width 0.25s linear;
}

#dashboard.active {
    width: 300px;
    transition: width 0.25s linear;
}

#dashboard:hover {
    width: 300px;
    transition: width 0.25s linear;
}

#dashboard #search {
    width: 300px;
    margin: 0px auto 20px auto;    
    display: none;
}

#dashboard #search .search-btn {
    all: unset;
    width: 70px;
    height: 40px;
    color: var(--sidebarHeadColor);
    padding-left: 20px;
    box-sizing: border-box;
}

#dashboard #search input {
    width: 215px;
    height: 40px;
    background-color: var(--sidebarBodyColor);
    border: 1px solid var(--themeViolet);
    color: var(--sidebarLinkColor);
    outline: none;
    padding-inline: 10px;
    box-sizing: border-box;
    border-radius: 5px;
}

#dashboard .dashboard-menu .dashboard-head {
    width: 300px;
    height: 50px;
    padding: 20px;
    display: flex;
    justify-content: start;
    align-items: center;
    color: var(--sidebarHeadColor);
    text-align: center;
    transition: all .05s;
}

#dashboard .dashboard-menu .dashboard-head .dashboard-btn{
    all: unset;
    width: 30px;
    height: 30px;
    padding-top: 0px;
    margin-left: 20px;
    color: var(--sidebarHeadColor);
    font-size: 20px;
    transform: rotate(180deg) translate(8px, 8px);
    transition: 0.2s ease-out;
}

#dashboard .dashboard-menu .dashboard-head .dashboard-btn.active {
    transform: rotate(0deg) translate(0px, 0px);
}

#dashboard i, #dashboard ion-icon  {
    padding-right: 36px;    
    font-size: 20px;
}

#dashboard ul.dashboard-item {
    padding: 0;
    margin: 0;
    list-style: none;
}

#dashboard ul.dashboard-item li {
    width: 300px;
    height: 40px;
    padding-left: 20px;
    display: flex;
    justify-content: left;
    align-items: center; 
}

#dashboard ul.dashboard-item li:hover {
    background: var(--sidebarHoverBgColor);
    color: var(--sidebarHoverColor);
}

#dashboard ul.dashboard-item li:hover a{
    color: var(--sidebarHoverColor);
}

#dashboard ul.dashboard-item li a {
    font-size: 16px;
    display: block;
    text-decoration: none;
    color: var(--sidebarLinkColor);
}

#dashboard .menu-item {
    margin-block: 10px;
}

#dashboard .menu-item .theme {
    width: 300px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
    margin-block: 20px;
}

#dashboard .menu-item .main-theme {
    display: block;
    color: var(--sidebarHeading);
    font-weight: 600;
}

#dashboard .theme-btn, #dashboard .header-btn, #dashboard .sidebar-btn {
    width: 50px;
    height: 25px;
    border: 1px solid var(--themeViolet);
    border-radius: 50px;
    margin-left: 6px;
    position: relative;    
}
#dashboard .theme-btn .switch-theme, 
#dashboard .header-btn .switch-header {
    width: 23px;
    height: 23px;
    background-color: var(--themeViolet);
    color: var(--lightBgColor);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 50%;
    transform: translateX(0px);
    transition: 0.2s linear;
}

#dashboard .sidebar-btn .switch-sidebar {
    width: 23px;
    height: 23px;
    background-color: var(--themeViolet);
    color: var(--lightBgColor);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 50%;
    transform: translateX(25px);
    transition: 0.2s linear;
}

#dashboard .theme-btn .switch-theme img, 
#dashboard .header-btn .switch-header img, 
#dashboard .sidebar-btn .switch-sidebar img {
    width: 60%;
    height: 60%;
    object-fit: cover;
}

#dashboard .theme-btn .switch-theme.active, 
#dashboard .header-btn .switch-header.active {
    transform: translateX(25px);
    transition: 0.2s linear;
}

#dashboard .sidebar-btn .switch-sidebar.active {
    transform: translateX(0px);
    transition: 0.2s linear;
}

#dashboard .theme-btn .switch-theme .light, 
#dashboard .header-btn .switch-header .light, 
#dashboard .sidebar-btn .switch-sidebar .dark {
    display: none;
}

#dashboard .theme-btn .switch-theme.active .light,
#dashboard .header-btn .switch-header.active .light,
#dashboard .sidebar-btn .switch-sidebar.active .dark {
    display: block;
}

#dashboard .theme-btn .switch-theme.active .dark,
#dashboard .header-btn .switch-header.active .dark,
#dashboard .sidebar-btn .switch-sidebar.active .light  {
    display: none;
}

#dashboard .menu-item h4 {
    color: var(--sidebarHeading);
    position: relative;
    margin-left: 75px;
}

#dashboard .menu-item h4::before {
    content: "";
    width: 50px;
    height: 1px;
    background-color: var(--sidebarBeforeFillColor);
    position: absolute;
    top: 50%;
    left: -68px; 
}
/* ---------------------- Dashboard CSS Section End ---------------------- */

/* ======================= Dashboard Body CSS Section Start ======================= */
#dashboard-body {
    width: calc(100% - 70px);
    margin-left: 70px;
    height: 100%;
    background: var(--bodyColor);
    padding: 75px 0 0 0;
    transition: all 0.3s ease-out;
    position: relative;
}

#dashboard-body.active {
    width: calc(100% - 300px);
    margin-left: 300px;
    transition: all 0.3s ease-out;
}

#dashboard-body .overlay {
    width: 100%;
    height: 100%;
    background-color: #06061396;
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 99;
}

/* ---------------------- Project Management CSS Section Start ---------------------- */
#project-management {
    width: 100%;
    height: auto;
}

#project-management .status-card {
    width: 100%;
    height: auto;
    background-color: var(--themeWhite);
    border-radius: 10px;
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

#project-management .status-card .status-info {
    width: 80%;
    min-height: 100px;
    color: var(--fillText);
}

#project-management .status-card .status-icon {
    width: 20%;
    min-height: 80px;
    font-size: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--themeColor);
}

#project-management .status-card .status-bar {
    width: 100%;
    height: auto;
}

#project-management .status-card .status-bar .level, 
#project-management .status-card .status-info .complete {
    margin-top: 5px;
    font-size: 14px;
    color: var(--fillText);
}

.progressing-bar {
    max-width: 100%;
    height: 8px;
    background-color: var(--tabBarColor);
    border-radius: 50px;
    margin-top: 10px;
    padding: 1px;
}

.progressing-bar .progressing-fill {
    height: 100%;
    width: 0;
    opacity: 0;
    border-radius: 50px;
    transition: 1s ease 0.3s;
    position: relative;
}

/* ------------- Chart Area CSS Section Start ------------- */

#project-management .chart-box {
    width: 100%;
    height: 400px;    
    /* background-color: var(--themeWhite); */
    border-radius: 10px;
    box-sizing: border-box;
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
}

#project-management .chart-box #revenue, 
#project-management .chart-box #project-progress,
#project-management .chart-box #project-roadmap {
    /* width: 100% !important; */
    max-height: auto;
    padding: 30px;
    background-color: var(--bodyColor);
    color: var(--themeIconColor);
    border-radius: 10px;    
}

#project-management .chart-box #project-roadmap {
    height: 400px !important;
}
/* ------------- Chart Area CSS Section End ------------- */

/* ------------- All Projects Table CSS Section Start ------------- */

#project-management .table-area {
    width: 100%;
    height: 600px;
    padding: 15px;
    background-color: var(--themeWhite);
    border-radius: 10px;
    box-sizing: border-box;
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
    overflow: hidden;
    overflow-y: scroll;
} 

#project-management .table-area h4 {
    color: var(--themeColor);
    text-transform: uppercase;
    font-weight: 600;
}

#project-management .table-area .table {
    width: 100%;
    border-collapse: collapse;
    position: relative;
}

#project-management .table .table-area th {
    position: sticky;
    top: 0;
}

#project-management .table-area .table td, #project-management .table .table-area th {
    padding: 12px 15px;
    border-bottom: 1px solid #dddddd0a;
    text-align: center;
    font-size: 16px;
}

#project-management .table-area .table td {
    color: var(--fillText);
}

#project-management .table-area .table td .member-list {
    display: flex;
    justify-content: center;
    align-items: center;
}

#project-management .table-area .table td .img-member {
    width: 30px;
    height: 30px;
    border: 1px solid var(--themeColor);
    border-radius: 50%;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
}

#project-management .table-area .table td .img-member:hover {
    transform: scale(1.2);
    transition: all 0.3s ease-in-out;
}

#project-management .table-area .table td .img-member img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
}

#project-management .table-area .table td .option-btn {
    all: unset;
    font-size: 20px;
    color: var(--fillText);
    cursor: pointer;
}

#project-management .table-area .table th {
    background-color: var(--themeColor);
    color: var(--bodyColor);
    text-align: center;
}

#project-management .table-area .table tbody tr:nth-child(event) {
    background-color: var(--themeTextColor);
}

#project-management .table-area .table td.options {
    position: relative;
}

#project-management .table-area .table tbody tr td .hidden-option {
    width: 120px;
    height: 80px;
    background-color: var(--bodyColor);
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
    border-radius: 10px;
    text-align: left;
    display: none;
    position: absolute;
    left: -86px;
    top: -10px;
}

#project-management .table-area .table tbody tr td .hidden-option ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

#project-management .table-area .table tbody tr td .hidden-option ul li {
    width: 100%;
    height: 30px;
    padding: 10px 15px;
}

#project-management .table-area .table tbody tr td .hidden-option ul li ion-icon {
    padding-right: 10px;
}

#project-management .table-area .table tbody tr td .hidden-option ul li a {
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    color: var(--fillText);
}
/* ------------- All Projects Table CSS Section End ------------- */

/* ------------- Recent Activity CSS Section Start ------------- */
#project-management .recent-activity, #project-management .to-do-list {
    width: 100%;
    height: 460px;
    padding: 15px;
    background-color: var(--themeWhite);
    border-radius: 10px;
    box-sizing: border-box;
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
    overflow: hidden;
    overflow-y: scroll;
}

#project-management .recent-activity .recent-activity-header {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
    /* border: 1px solid var(--fillText); */
}

#project-management .recent-activity .recent-activity-header .heading {
    width: 30%;
}

#project-management .recent-activity .recent-activity-header .heading h4{
    color: var(--themeColor);
    text-transform: uppercase;
    font-weight: 600;
}

#project-management .recent-activity .recent-activity-header .tab-section {
    text-align: right;
}

#project-management .recent-activity .recent-activity-header .tab-section ul {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    justify-content: end;
    align-items: center;
    text-align: center;
    gap: 10px;
}

#project-management .recent-activity .recent-activity-header .tab-section ul li {
    width: 80px;
    height: 30px;
    background-color: var(--lightBgColor);
    display: flex;
    justify-content: center;
    align-items: center;
}

#project-management .recent-activity .recent-activity-header .tab-section ul li.active {
    background-color: var(--themeViolet);
    color: var(--lightBgColor);
}

#project-management .recent-activity .recent-activity-header .tab-section ul li a {
    text-decoration: none;
    color: var(--fillColor);
}

.tab-container ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.tab-container ul li {
    width: 100%;
    min-height: 60px;
    font-size: 15px;
    display: flex;
    justify-content: space-between;
    align-items: start;
    gap: 20px;
    position: relative;
}

.tab-container ul li .activity-date {
    width: 25%;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--fillText);
    position: relative;
}

.tab-container ul li .activity-date::before {
    content:"\f140";
    font:normal normal normal 14px/1 FontAwesome;
    color: var(--themeViolet);
    position: absolute;
    top: 22%;
    right: -12px;
    transform: translateY(-50%);
}

.tab-container ul li .activity-date::after {
    content: "";
    width: 2px;
    height: 60px;
    background-color: var(--themeViolet);
    position: absolute;
    top: 88%;
    right: -7px;
    transform: translateY(-50%);

}

.tab-container ul li .activity-date span {
    color: var(--themeViolet);
    font-size: 14px;
    text-align: left;
}

.tab-container ul li .data-info {
    width: 75%;
    color: var(--fillText);
    display: flex;
    justify-content: center;
    align-items: center;
}

.new-task {
    all: unset;
    width: 140px;
    height: 40px;
    border-radius: 5px;
    background-color: var(--themeViolet);
    color: var(--lightBgColor);
    text-align: center;    
    display: flex;
    justify-content: center;
    align-items: center;
}

#add-task {
    min-width: 340px;
    min-height: 500px;
    background-color: var(--lightBgColor);
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 999;
    display: none;
}

#add-task .add-task-heading {
    display: flex;
    justify-content: space-between;
    /* align-items: center; */
}

#add-task .add-task-heading .close-btn {
    font-size: 24px;
    color: var(--themeTextColor);
    cursor: pointer;
}

#add-task .form-area {
    width: 100%;
    height: auto;
    margin: 20px 0;
}

#add-task .form-area form .input {
    width: 100%;
    height: 60px;
    margin: 15px 0;
}

#add-task .form-area form input {
    width: 100%;
    min-height: 36px;
    padding: 0 10px;
    background-color: transparent;
    color: var(--themeViolet);
    font-size: 16px;
    line-height: 16px;
    outline: none;
    border: none;
    border-bottom: 1px solid var(--themeViolet);
    margin: 16px 0 16px 0;
    position: relative;
    transition: 0.3s ease;
    z-index: 1111;
}

#add-task .form-area form .save-btn {
    all: unset;
    width: 100px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--themeViolet);
    color: var( --lightBgColor);
}

#add-task .form-area form .label {
    position: absolute;
    font-size: 16px;
    color: var(--headingColor);
    padding: 0 16px;
    background: transparent;
    margin: 0 20px;
    transform: translate(-34px, -50px);
    transition: 0.5s ease;
}

#add-task .form-area input:focus+.label, #add-task .form-area input:valid+.label {
    height: 30px;
    line-height: 22px;
    padding: 0 12px;
    transform: translate(-40px, -72px) scale(0.88);
    z-index: 1110;
}


/* ------------- Recent Activity CSS Section End ------------- */
/* ------------- Legal CSS Section Start ------------- */
#legal {
    width: 100%;
    height: 40px;
    margin: 20px auto 0 auto;
    background-color: var(--themeWhite);
    color: var(--fillText);
    border-radius: 10px 10px 0 0;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0px -5px 20px 0px rgba(92,97,242,.2);
    transition: all 0.25s linear;
}

#legal span {
    color: var(--fillText);
}
/* ------------- Legal CSS Section End ------------- */


/* ======================== Project Management CSS Section End ======================== */

/* ======================== E-Commerce CSS Section Start ======================== */
#e-commerce {
    width: 100%;
    height: auto;
}

/* ======================== E-Commerce CSS Section End ======================== */

/* ======================== Analytics CSS Section Start ======================== */
#analytics {
    width: 100%;
    height: auto;
}

/* ======================== Analytics CSS Section End ======================== */

/* ======================== CRM CSS Section Start ======================== */
#crm {
    width: 100%;
    height: auto;
}

/* ======================== CRM CSS Section End ======================== */

/* ======================== Project Details CSS Section Start ======================== */
/* ======================== Project Details CSS Section End ======================== */

/* ======================== Project E-Commerce CSS Section Start ======================== */
/* ======================== Project E-Commerce CSS Section End ======================== */

/* ======================== Website Traffic CSS Section Start ======================== */
/* ======================== Website Traffic CSS Section End ======================== */

/* ======================== Chat CSS Section Start ======================== */
/* ======================== Chat CSS Section End ======================== */

/* ======================== Email CSS Section Start ======================== */
/* ======================== Email CSS Section End ======================== */

/* ======================== Events CSS Section Start ======================== */
/* ======================== Events CSS Section End ======================== */

/* ======================== Social CSS Section Start ======================== */
/* ======================== Social CSS Section End ======================== */

/* ======================== Invoice CSS Section Start ======================== */
/* ======================== Invoice CSS Section End ======================== */

/* ======================== File Manager CSS Section Start ======================== */
/* ======================== File Manager CSS Section End ======================== */

/* ======================== Stater CSS Section Start ======================== */
/* ======================== Stater CSS Section End ======================== */

/* ======================== Pricing CSS Section Start ======================== */
/* ======================== Pricing CSS Section End ======================== */

/* ======================== FAQ CSS Section Start ======================== */
/* ======================== FAQ CSS Section End ======================== */

/* ======================== Notification CSS Section Start ======================== */
/* ======================== Notification CSS Section End ======================== */

/* ======================== Users CSS Section Start ======================== */
/* ======================== Users CSS Section End ======================== */

/* ======================== Profile CSS Section Start ======================== */
/* ======================== Profile CSS Section End ======================== */

/* ======================== Error CSS Section Start ======================== */
/* ======================== Error CSS Section End ======================== */

/* ======================== Icon CSS Section Start ======================== */
/* ======================== Icon CSS Section End ======================== */

/* ======================== Authentications CSS Section Start ======================== */
/* ======================== Authentications CSS Section End ======================== */

/* ======================== Timeline CSS Section Start ======================== */
/* ======================== Timeline CSS Section End ======================== */

/* ======================== Members CSS Section Start ======================== */
/* ======================== Members CSS Section End ======================== */

/* ======================== Unnamed CSS Section Start ======================== */
/* ======================== Unnamed CSS Section End ======================== */


/* ======================= Dashboard Body CSS Section End ======================= */



/* ---------------------- Legal CSS Section Start ---------------------- */


/* =========================== Untitle Page Start =========================== */
/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */
/* =========================== Untitle Page End =========================== */

/* =========================== Untitle Page Start =========================== */
/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */
/* =========================== Untitle Page End =========================== */

/* =========================== Untitle Page Start =========================== */
/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */
/* =========================== Untitle Page End =========================== */

/* =========================== Untitle Page Start =========================== */
/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */

/* ---------------------- Unnamed CSS Section Start ---------------------- */
/* ---------------------- Unnamed CSS Section End ---------------------- */
/* =========================== Untitle Page End =========================== */

/* ---------------------- Responsive CSS Start ---------------------- */

@media (max-width: 1200px) {
    #top .top-right .form-area {
        display: none;
    }

    #top .top-right {
        width: calc(100% - 360px);
        display: flex;
        justify-content: right;
        align-items: center;
    }

    #top .top-left .hamburger {
        display: none;
    }

    #top .top-right .hamburger-btn {
        display: block;
    }

    #top #search-area {        
        width: 100%;
    }

    #dashboard #search {  
        display: block;
    }

    #dashboard {
        transform: translateX(-100%);
        transition: all 0.5s;
    }
    
    #dashboard.active {
        transform: translateX(0%);
        transition: all 0.5s;
    }
    
    #dashboard-body {
        width: 100%;
        margin-left: 0px;
    }

    #dashboard-body.active {
        width: 100%;
        margin-left: 0px;
        transition: all 0.25s linear;
    }

    #legal {
        width: 100%;
        margin-left: 0px;
    }
    
    #legal.active {
        width: 100%;
        margin-left: 0px;
    }
}

@media (max-width: 1024px) {
    
}

@media (max-width: 992px) {
    #top .top-right .user-detail .user-info {
        display: none;
    }

    #project-management .table-area .table thead {
        display: none;
    }

    #project-management .table-area .table tbody, 
    #project-management .table-area .table tr, 
    #project-management .table-area .table td {
        display: block;
        width: 100%;
    }

    #project-management .table-area .table tr {
        margin-bottom: 20px;
        border-block: 1px solid #dddddd;
    }

    #project-management .table-area .table td {
       text-align: right !important;
       padding-left: 30%;
       position: relative;
       font-size: 14px;
       color: var(--fillText);
    }

    #project-management .table-area .table td::before {
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 70%;
        padding-left: 15px;
        font-size: 14px;
        font-weight: 600;
        text-align: left;
        color: var(--themeColor);
    }

    #project-management .table-area .table td .member-list {
        justify-content: end;
    }
}

@media (max-width: 768px) {
    #top #search-area .form-area input {
        padding: 20px 0px;
    }

}

@media (max-width: 576px) {
    #top .top-right .top-right-inner .button-group {
        display: none;
    }

    #project-management .recent-activity .recent-activity-header {
        flex-direction: column;
    }

    #project-management .recent-activity .recent-activity-header .heading {
        width: 100%;
        text-align: center;
        margin-bottom: 10px;
    }

    #project-management .recent-activity .recent-activity-header .tab-section {
        margin-bottom: 20px;
    }

    #notify {
        display: block;
    }
}

@media (max-width: 480px) {
    .tab-container ul li .activity-date {
        width: 40%;
    }

    .tab-container ul li .data-info {
        width: 60%;
    }
}

@media (max-width: 360px) {}

/* ---------------------- Responsive CSS End ---------------------- */